%define api_version 1.2
%define lib_major   4
%define lib_name    %mklibname %{name} %{api_version} %{lib_major}
%define develname   %mklibname -d %{name}

Name:           wv
Epoch:          1
Version:        1.2.9
Release:        %mkrel 13
Summary:        MS Word 2,6,7,8,9 file to HTML and latex converter
License:        GPLv2
Group:          Office/Word processor
URL:            http://www.abisource.com/downloads/wv/
Source:         http://www.abisource.com/downloads/wv/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.2.4-fix-str-fmt.patch
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  zlib-devel
Requires:       latex
Requires:       dvips

%description
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.


%package -n %{lib_name}
Summary:        Library used by wv
Group:          System/Libraries
Provides:       lib%{name} = %{epoch}:%{version}-%{release}

%description -n %{lib_name}
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.

This package provides the library that is used by wv.


%package -n %{develname}
Summary:        MS Word 2,6,7,8,9 file to HTML and latex converter (development)
Group:          Development/C
Requires:       %{lib_name} = %{epoch}:%{version}
Provides:       %{name}-devel = %{epoch}:%{version}

%description -n %{develname}
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.

This is the development package.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .strfmt

# make autoreconf happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[foreign\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure2_5x --disable-static
%make_build

%install
%make_install

# uggly fix for symlink /usr/bin/wvText to wvConvert.
ln -sf wvConvert %{buildroot}/%{_bindir}/wvText
# the following file seems not to be used by any wv executable.
#cp $RPM_BUILD_DIR/%%{name}/config-mswordview %%{buildroot}/usr/lib/mswordview
rm -f notes/decompress/a.out
# make sure libwv.a is in lib directory
# mv %%{buildroot}%%{_datadir}/libwv.a %%{buildroot}%%{_libdir}/libwv.a

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README COPYING INSTALL NEWS
%{_bindir}/*
%{_datadir}/wv
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/libwv-%{api_version}.so.%{lib_major}*

%files -n %{develname}
%{_includedir}/wv
%{_libdir}/libwv.so
%{_libdir}/pkgconfig/wv-1.0.pc


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1:1.2.9-13.mga8
+ Revision: 1518397
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:1.2.9-12.mga7
+ Revision: 1301720
- Mageia 7 Mass Rebuild

* Wed Jul 11 2018 wally <wally> 1:1.2.9-11.mga7
+ Revision: 1243049
- fix build on aarch64
- drop old provides / obsoletes
- use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1:1.2.9-10.mga6
+ Revision: 945877
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.2.9-9.mga5
+ Revision: 748422
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 luigiwalser <luigiwalser> 1:1.2.9-8.mga5
+ Revision: 722690
- move rename macro to correct location in spec
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.2.9-6.mga4
+ Revision: 520155
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1:1.2.9-5.mga3
+ Revision: 385887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 1:1.2.9-4.mga3
+ Revision: 340388
- update group
- use %%rename to obsolete mswordview

* Fri Jan 27 2012 kamil <kamil> 1:1.2.9-3.mga2
+ Revision: 202288
- update summaries and licenses (not about export from Word 2 and import into LaTeX)
- clean .spec
- update file list

* Tue Sep 20 2011 fwang <fwang> 1:1.2.9-2.mga2
+ Revision: 145921
- drop .la files

* Tue Sep 06 2011 tv <tv> 1:1.2.9-1.mga2
+ Revision: 139812
- new release
- new URL
- drop patch 1
- use %%mklibname -d
- clean BR

* Fri Mar 04 2011 boklm <boklm> 1:1.2.4-11.mga1
+ Revision: 64059
- don't require tetex

* Fri Feb 25 2011 ennael <ennael> 1:1.2.4-10.mga1
+ Revision: 59346
- clean spec file
- imported package wv


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.4-10mdv2011.0
+ Revision: 608175
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.4-9mdv2010.1
+ Revision: 524359
- rebuilt for 2010.1

* Sun Jun 14 2009 Funda Wang <fwang@mandriva.org> 1:1.2.4-8mdv2010.0
+ Revision: 385829
- fix linakge on libwmf

* Sun Jun 14 2009 Funda Wang <fwang@mandriva.org> 1:1.2.4-7mdv2010.0
+ Revision: 385828
- requires wmf for *.la

* Thu May 21 2009 Jérôme Brenier <incubusss@mandriva.org> 1:1.2.4-6mdv2010.0
+ Revision: 378384
- fix str fmt (1 patch added)
- fix license

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1:1.2.4-5mdv2009.0
+ Revision: 225931
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.4-4mdv2008.1
+ Revision: 179676
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Tue Jun 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.2.4-3mdv2008.0
+ Revision: 38366
- rebuild for expat


* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-2mdv2007.0
+ Revision: 115126
- fix major
- drop disabled patches

* Sun Jan 28 2007 Jérôme Soyer <saispo@mandriva.org> 1:1.2.4-1mdv2007.1
+ Revision: 114726
- New release 1.2.4
- Import wv

* Thu Jun 22 2006 Götz Waschk <waschk@mandriva.org> 1:1.2.0-5mdv2007.1
- Rebuild

* Wed Jun 21 2006 Götz Waschk <waschk@mandriva.org> 1:1.2.0-5mdk
- Rebuild

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-4mdk
- rebuild with new libgsf

* Wed Oct 19 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-3mdk
- fix buildrequires

* Tue Oct 18 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-2mdk
- fix buildrequires

* Tue Oct 18 2005 Marcel Pol <mpol@mandrake.org> 1.2.0-1mdk
- 1.2.0
- mkrel
- update api_version and lib_major
- drop P0, changes upstream
- drop P1, afaik it didn't apply anymore anyway

* Sun Sep 18 2005 Götz Waschk <waschk@mandriva.org> 1.0.3-3mdk
- open ole2 files read only

* Tue Jun 14 2005 Götz Waschk <waschk@mandriva.org> 1.0.3-2mdk
- major 3

* Tue Jun 14 2005 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- fix source URL
- New release 1.0.3

* Tue Aug 10 2004 Marcel Pol <mpol@mandrake.org> 1.0.2-1mdk
- 1.0.2
- drop patch2
- increase major

* Fri Jul 30 2004 Marcel Pol <mpol@mandrake.org> 1.0.0-3mdk
- fix provides of devel package

* Mon Jul 26 2004 Marcel Pol <mpol@mandrake.org> 1.0.0-2mdk
- patch2: buffer overflow bugfix

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 1.0.0-1mdk
- 1.0.0
- updated files section
- libify
- manually set manonedir in %%makeinstall
- require tetex-latex and tetex-dvips for pdf, ps, etc.

* Fri Feb 27 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.7.4-3mdk
- fix -devel dependencies (epoch)

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.4-2mdk
- rebuild && reupload

